Subject: Re: [PATCH v3 3/3] net: dsa: mv88e632x: Add SERDES ops

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 18 Jul 2023 08:48:29 +0100

On Tue, Jul 18, 2023 at 08:47:23AM +0100, Russell King (Oracle) wrote:
> On Tue, Jul 18, 2023 at 08:59:31AM +0200, M. Haener wrote:
> > From: Michael Haener <[email-masked]>
> > 
> > The 88e632x family has several SERDES 100/1000 blocks. By adding these
> > operations, these functionalities can be used.
> > 
> > Signed-off-by: Michael Haener <[email-masked]>
> > ---
> > Changelog:
> > v3: rebased onto main branch
> > v2: rebased onto Russell Kings series dsa/88e6xxx/phylink
> 
> I think you're missing something - you seem to be adding support to read
> the statistics from these blocks, but you're not actually driving them
> at all in terms of reading their status or configuring them.
> 
> You need to modify drivers/net/dsa/mv88e6xxx/pcs-6352.c for that.

... and this is why you need to be able to test on recent kernels!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!